Summary:	Debug 1394 devices
Summary(pl.UTF-8):	Diagnostyka urządzeń 1394
Name:		firecontrol
Version:	0.2
Release:	5
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/firecontrol/%{name}-%{version}.tar.gz
# Source0-md5:	e0f272ee4a72f214af3b06bfb81527ef
URL:		http://firecontrol.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libraw1394-devel >= 0.10.0
BuildRequires:	readline-devel
Provides:	1394commander
Obsoletes:	1394commander
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
firecontrol is a simple console oriented tool based on libraw1394 to
issue asynchronous read, write and lock commands to some nodes on the
bus as well as to force bus resets. The main advantage of this tool
over other available tools (like gscanbus) is (besides not requiring a
graphical interface), that it reports the exact acknowledge and
response codes and therefore is very useful for debugging purposes.

%description -l pl.UTF-8
firecontrol to proste narzędzie konsolowe oparte na libraw1394 do
wydawania poleceń asynchronicznego odczytu, zapisu i blokowania
pewnych węzłów na szynie, a także wymuszania resetu szyny. Główną
zaletą tego narzędzia nad innymi (jak gscanbus) jest (oprócz nie
wymagania graficznego interfejsu) to, że podaje szczegółowe informacje
i kody odpowiedzi, dzięki czemu jest bardzo przydatne do celów
diagnostycznych.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/firecontrol
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/firecontrol.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 11df5f4
- release 5 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1886d3f
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bcce7f
- release 3

* Tue Aug 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a0b38bb
- release 2

* Sat May 12 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 64b82f5
- updated md5

* Sat May 12 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 34a878e
- updated to 0.2
- project renamed to firecontrol

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e12a5e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f5d992a
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> eb93782
- pl

* Thu Aug 17 2006 darekr <darekr@pld-linux.org> f3fe232
- added %doc

* Thu Aug 17 2006 aredridel <aredridel@pld-linux.org> 0f942a8
- remove template boilerplate

* Thu Aug 17 2006 aredridel <aredridel@pld-linux.org> 0b082cc
- added

